import { Namespace } from 'cls-hooked';
import type { ProviderServiceInterface, ContextMissingStrategy } from '../types/ProviderServiceInterface.js';
import { Segment, Subsegment } from 'aws-xray-sdk-core';
declare class ProviderService implements ProviderServiceInterface {
    captureAWS<T>(awssdk: T): T;
    captureAWSClient<T>(service: T): T;
    captureAWSv3Client<T>(service: T): T;
    captureAsyncFunc(name: string, fcn: (subsegment?: Subsegment) => unknown, _parent?: Segment | Subsegment): unknown;
    captureFunc(name: string, fcn: (subsegment?: Subsegment) => unknown, _parent?: Segment | Subsegment): unknown;
    captureHTTPsGlobal(): void;
    getNamespace(): Namespace;
    getSegment(): Segment | Subsegment | undefined;
    putAnnotation(key: string, value: string | number | boolean): void;
    putMetadata(key: string, value: unknown, namespace?: string): void;
    setContextMissingStrategy(strategy: ContextMissingStrategy): void;
    setDaemonAddress(address: string): void;
    setLogger(logObj: unknown): void;
    setSegment(segment: Segment | Subsegment): void;
}
export { ProviderService };
//# sourceMappingURL=ProviderService.d.ts.map